<template>
  <div>
    <div class="bg-blue mt-2 mb-2 text-light">
      <div class="row text-center">
        <div
          class="col-6 d-flex justify-content-center align-items-center p5 steps"
          @click="changeStep(false)"
        >
          <div>STEP 1 BASIC INFORMATION</div>
        </div>
        <div
          class="col-6 d-flex justify-content-center align-items-center p5 steps"
          @click="changeStep(true)"
        >
          <div>STEP 2 REVISION AND PAYMENT</div>
        </div>
      </div>
    </div>
    <div v-if="!step">
      <BasicGeneralInfo @submitEmail="submitEmailData" />
      <BasicApplicant :usersData="usersData" />
    </div>
    <div v-if="step">
      <PaymentGeneralInfo />
      <PaymentInfo />
      <Order />
      <div class="row">
        <div class="col-lg-4 col-12 order-lg-1 order-12">
          <PaymentOtherOpt />
        </div>
        <div class="col-lg-8 col-12 order-lg-12 order-1">
          <PaymentCard />
        </div>
      </div>
    </div>
    <div v-if="show">
      <BasicModal @usersData="chargeUser" @status="updateStatusShow" />
    </div>
  </div>
</template>

<script>
import BasicApplicant from "./basic/basicApplicant";
import PaymentGeneralInfo from "./payment/paymentGeneralInfo";
import PaymentInfo from "./payment/paymentInfo";
import Order from "./payment/order/order";
import PaymentOtherOpt from "./payment/paymentOtherOpt";
import PaymentCard from "./payment/paymentCard";
import BasicGeneralInfo from "./basic/basicGeneralInfo";
import BasicModal from "./basic/basicModal";

export default {
  components: {
    BasicApplicant,
    BasicModal,
    BasicGeneralInfo,
    Order,
    PaymentGeneralInfo,
    PaymentInfo,
    PaymentCard,
    PaymentOtherOpt
  },
  data() {
    return {
      step: false,
      show: false,
      users: [{ email: "test@test.com" }],
      usersData: []
    };
  },

  methods: {
    changeStep: function(step) {
      this.step = step;
    },
    chargeUser: function(users) {
      this.usersData = users;
    },
    submitEmailData(email) {
      if (email === this.users[0].email) {
        this.show = true;
      }
    },
    updateStatusShow(status) {
      this.show = false;
    }
  },
  name: "Payments"
};
</script>
